<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="html" />

<xsl:variable name="rne"><xsl:value-of select="/STS_EDT/PARAMETRES/UAJ/@CODE" /></xsl:variable>

<xsl:template match="/">
 <html>
 <head>
 <title>Extraction des individus</title>
 </head>
 <body style="font-family:Verdana; font-size:10pt; color:blue">
  <xsl:apply-templates select="/STS_EDT/PARAMETRES" />
  <xsl:apply-templates select="/STS_EDT/DONNEES" />
  <xsl:apply-templates select="/STS_EDT/NOMENCLATURES" />
 </body>
 </html>
</xsl:template>

<xsl:template match="PARAMETRES">
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="UAJ">
<h3><xsl:value-of select="ACADEMIE/LIBELLE" /></h3>
<h4>
  <xsl:value-of select="DENOM_PRINC" />&nbsp;
  <xsl:value-of select="DENOM_COMPL" /><br />
  <xsl:value-of select="ADRESSE" /><br />
  <xsl:value-of select="CODE_POSTAL" />&nbsp;
  <xsl:value-of select="COMMUNE" /><br />
  Code de l'tablissement : <xsl:value-of select="$rne" />
</h4>
</xsl:template>

<xsl:template match="ANNEE_SCOLAIRE">
  <b>Anne scolaire <xsl:value-of select="@ANNEE" /></b>
</xsl:template>


<xsl:template match="DONNEES">
 <xsl:apply-templates />
</xsl:template>

<xsl:template match="INDIVIDUS">
 <h2>Liste des individus</h2>
   <font color='red'><i>(copier / coller la liste en noir ci-dessous <b>avec les entetes</b> dans le bloc-notes et sauver sous le nom de votre choix)<br /><br /></i>
 </font><br /><br />
 <font color="black">
 Action;RNE;Catgorie;Nom;Prnom;Date de naissance;Sexe;Civilit;Code discipline;Discipline;Liste des classes<br />
 <xsl:apply-templates />
 </font>
</xsl:template>

<xsl:template match="INDIVIDU">
 mettre;<xsl:value-of select="$rne" />;
 <xsl:choose>
 <xsl:when test="FONCTION='DIR'">DIRECTION</xsl:when>
 <!--xsl:when test="FONCTION='EDU'">EDU</xsl:when-->
 <xsl:when test="FONCTION='ENS'">ENSEIGNANT</xsl:when>
 <xsl:otherwise><xsl:value-of select="FONCTION" /></xsl:otherwise>
 </xsl:choose>;
<xsl:value-of select="NOM_USAGE" />;<xsl:value-of select="PRENOM" />;
<xsl:value-of select="DATE_NAISSANCE" />;<!--xsl:value-of select="SEXE" /-->
<xsl:choose>
 <xsl:when test="CIVILITE = 1" >M;M.</xsl:when>
 <xsl:when test="CIVILITE = 2" >F;MME</xsl:when>
 <xsl:when test="CIVILITE = 3" >F;MLLE</xsl:when>
 <xsl:otherwise>
  <xsl:choose>
   <xsl:when test="SEXE = 2">F;MME</xsl:when>
   <xsl:otherwise>M;M.</xsl:otherwise>
  </xsl:choose>
 </xsl:otherwise>
</xsl:choose>;
<xsl:value-of select="DISCIPLINES/DISCIPLINE[1]/@CODE" />;
<xsl:value-of select="DISCIPLINES/DISCIPLINE[1]/LIBELLE_COURT" />
<xsl:variable name="id"><xsl:value-of select="@ID" /></xsl:variable>
<xsl:for-each select="/STS_EDT/DONNEES/STRUCTURE/DIVISIONS/DIVISION">
 <xsl:variable name="div"><xsl:value-of select="@CODE" /></xsl:variable>
 <xsl:for-each select="SERVICES/SERVICE/ENSEIGNANTS/ENSEIGNANT">
   <xsl:if test="@ID = $id">;<xsl:value-of select="$div" /></xsl:if>
 </xsl:for-each>
</xsl:for-each> 
<br />
</xsl:template>

<xsl:template match="STRUCTURE">
 <xsl:apply-templates />
</xsl:template>

<xsl:template match="DIVISIONS">
 <h2>Liste des divisions</h2>
 <font color="red">
 <p>action;rne;divgro;nomcourt;nomlong</p>
 <xsl:apply-templates />
 </font>
</xsl:template>

<xsl:template match="DIVISION">
 mettre;<xsl:value-of select="$rne" />;D;<xsl:value-of select="@CODE" />;<xsl:value-of select="LIBELLE_LONG" /><br />
</xsl:template>

<xsl:template match="GROUPES">
 <h2>Liste des groupes</h2>
 <font color="green">
 <p>action;rne;divgro;nomcourt;nomlong</p>
 <xsl:apply-templates />
 </font>
</xsl:template>

<xsl:template match="GROUPE">
 mettre;<xsl:value-of select="$rne" />;G;<xsl:value-of select="@CODE" />;<xsl:value-of select="LIBELLE_LONG" /><br />
</xsl:template>

<xsl:template match="NOMENCLATURES">
 <xsl:apply-templates select="MATIERES" />
 <xsl:apply-templates select="MEFS" />
</xsl:template>

<xsl:template match="MATIERES">
 <h2>Nomenclature MATIERES</h2>
 <table border="2">
  <tr><th>code</th><th>code gestion</th><th>libelle court</th><th>libelle long</th><th>libelle edition</th></tr>
  <xsl:apply-templates />
 </table>
</xsl:template>

<xsl:template match="MATIERE">
 <tr>
  <td><xsl:value-of select="@CODE" /></td>
  <td><xsl:value-of select="CODE_GESTION" /></td>
  <td><xsl:value-of select="LIBELLE_COURT" /></td>
  <td><xsl:value-of select="LIBELLE_LONG" /></td>
  <td><xsl:value-of select="LIBELLE_EDITION" /></td>
 </tr>
</xsl:template>

<xsl:template match="MEFS">
 <h2>Nomenclature MEF</h2>
 <table border="2">
  <tr><th>code</th><th>nomcourt</th><th>nomlong</th></tr>
  <xsl:apply-templates />
 </table>
</xsl:template>

<xsl:template match="MEF">
 <tr>
  <td><xsl:value-of select="@CODE" /></td>
  <td><xsl:value-of select="FORMATION" /></td>
  <td><xsl:value-of select="LIBELLE_LONG" /></td>
 </tr> 
</xsl:template>

</xsl:stylesheet>